Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
[Java] Class NoChildren

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.NoChildren

    public class NoChildren
    extends GPathResult

Lazy evaluated representation of a GPath expression returning no children.

Authors:
  John Wilson

Field Summary

Fields inherited from class GPathResult
name, namespaceMap, namespacePrefix, namespaceTagHints, parent

Constructor Summary
`NoChildren(GPathResult parent, java.lang.String name, java.util.Map namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult

Method Summary
`protected void` | `appendNode(java.lang.Object newValue)`
`boolean` | `asBoolean()`
`void` | `build(GroovyObject builder)`
`java.util.Iterator` | `childNodes()`
`GPathResult` | `find(Closure closure)`
`GPathResult` | `findAll(Closure closure)`
`java.util.Iterator` | `iterator()`
`java.util.Iterator` | `nodeIterator()`
`GPathResult` | `parents()`
`protected void` | `replaceBody(java.lang.Object newValue)`
`protected void` | `replaceNode(Closure newValue)`
`int` | `size()`
`java.lang.String` | `text()`
`java.io.Writer` | `writeTo(java.io.Writer out)`

Methods inherited from class GPathResult
appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### NoChildren

    public NoChildren(GPathResult parent, java.lang.String name, java.util.Map namespaceTagHints)

  Parameters:
    `parent` - the GPathResult prior to the application of the expression creating this GPathResult
    `name` - if the GPathResult corresponds to something with a name, e.g. a node
    `namespaceTagHints` - the known tag to namespace mappings

Method Detail

### appendNode

    protected void appendNode(java.lang.Object newValue)

### asBoolean

    public boolean asBoolean()

### build

    public void build(GroovyObject builder)

### childNodes

    public java.util.Iterator childNodes()

### find

    public GPathResult find(Closure closure)

### findAll

    public GPathResult findAll(Closure closure)

### iterator

    public java.util.Iterator iterator()

### nodeIterator

    public java.util.Iterator nodeIterator()

### parents

    public GPathResult parents()

### replaceBody

    protected void replaceBody(java.lang.Object newValue)

### replaceNode

    protected void replaceNode(Closure newValue)

### size

    public int size()

### text

    public java.lang.String text()

### writeTo

    public java.io.Writer writeTo(java.io.Writer out)

Groovy Documentation